cgGetNamedSamplerState(3)

NAME
cgGetNamedSamplerState - get a sampler state by name

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgGetNamedSamplerState( CGcontext context,
                                  const char * name );

PARAMETERS

context
    The context from which to retrieve the named sampler state.

name
    The name of the state to retrieve.

RETURN VALUES
Returns the named sampler state.

Returns NULL if context is invalid or if context has no sampler states corresponding to name.

DESCRIPTION
The sampler states associated with a context, as specified with a sampler_state block in an effect file, can be retrieved directly by name using cgGetNamedSamplerState.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if name is NULL.

HISTORY
cgGetNamedSamplerState was introduced in Cg 1.4.

SEE ALSO
the cgCreateArraySamplerState manpage, the cgCreateSamplerState manpage, the cgGetFirstSamplerState manpage, the cgSetSamplerState manpage